import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-12 13:31
 */
export interface BusUserSubpayAuth{
    /**
    * ID
    * @type { string }
    */
    id?: string;
    /**
    * 被授权的用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 认证车主的用户ID
    * @type { string }
    */
    ownerUserId?: string;
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 车场名称
    * @type { string }
    */
    lotName?: string;
    /**
    * 入场时间
    * @type { string }
    */
    comeTime?: string;
    /**
    * 车牌号
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 授权状态：1授权，0拒绝
    * @type { number }
    */
    authState?: number;
}
export class BusUserSubpayAuthMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','ID');
    }
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','被授权的用户ID');
    }
    static get OWNER_USER_ID(): FieldInfo{  
        return new FieldInfo('ownerUserId','认证车主的用户ID');
    }
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场ID');
    }
    static get LOT_NAME(): FieldInfo{  
        return new FieldInfo('lotName','车场名称');
    }
    static get COME_TIME(): FieldInfo{  
        return new FieldInfo('comeTime','入场时间');
    }
    static get CAR_PLATE_NUM(): FieldInfo{  
        return new FieldInfo('carPlateNum','车牌号');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get AUTH_STATE(): FieldInfo{  
        return new FieldInfo('authState','授权状态：1授权，0拒绝');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-11-12 13:31
 */
export interface BusUserPlateAuth{
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { string }
    */
    userId?: string;
    /**
    * 
    * @type { string }
    */
    ppUserId?: string;
    /**
    * 
    * @type { string }
    */
    openId?: string;
    /**
    * 
    * @type { string }
    */
    plateNumber?: string;
    /**
    * 
    * @type { string }
    */
    plateNumberSuffix?: string;
    /**
    * 
    * @type { boolean }
    */
    isAudit?: boolean;
    /**
    * 
    * @type { string }
    */
    auditFlag?: string;
    /**
    * 
    * @type { Date }
    */
    auditDate?: Date;
    /**
    * 
    * @type { string }
    */
    drivingLicense?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { boolean }
    */
    machineAudit?: boolean;
    /**
    * 是否删除，0：否，1：是
    * @type { string }
    */
    deleted?: string;
}
export class BusUserPlateAuthMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','唯一标识');
    }
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','');
    }
    static get PP_USER_ID(): FieldInfo{  
        return new FieldInfo('ppUserId','');
    }
    static get OPEN_ID(): FieldInfo{  
        return new FieldInfo('openId','');
    }
    static get PLATE_NUMBER(): FieldInfo{  
        return new FieldInfo('plateNumber','');
    }
    static get PLATE_NUMBER_SUFFIX(): FieldInfo{  
        return new FieldInfo('plateNumberSuffix','');
    }
    static get IS_AUDIT(): FieldInfo{  
        return new FieldInfo('isAudit','');
    }
    static get AUDIT_FLAG(): FieldInfo{  
        return new FieldInfo('auditFlag','');
    }
    static get AUDIT_DATE(): FieldInfo{  
        return new FieldInfo('auditDate','');
    }
    static get DRIVING_LICENSE(): FieldInfo{  
        return new FieldInfo('drivingLicense','');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get MACHINE_AUDIT(): FieldInfo{  
        return new FieldInfo('machineAudit','');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','是否删除，0：否，1：是');
    }
}


